org.jbpm.services.task.wih

## Class AbstractHTWorkItemHandler

- java.lang.Object
- - org.jbpm.services.task.wih.AbstractHTWorkItemHandler

- All Implemented Interfaces:
    org.kie.api.runtime.process.WorkItemHandler
  Direct Known Subclasses:
    LocalHTWorkItemHandler, NonManagedLocalHTWorkItemHandler

      public abstract class AbstractHTWorkItemHandler
      extends Object
      implements org.kie.api.runtime.process.WorkItemHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected OnErrorAction` | `action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractHTWorkItemHandler()`
    `AbstractHTWorkItemHandler(OnErrorAction action)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `abortWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `protected org.kie.api.task.model.Task` | `createTaskBasedOnWorkItemParams(org.kie.api.runtime.KieSession session, org.kie.api.runtime.process.WorkItem workItem)`
    `protected org.kie.internal.task.api.model.ContentData` | `createTaskContentBasedOnWorkItemParams(org.kie.api.runtime.KieSession session, org.kie.api.runtime.process.WorkItem workItem)`
    `protected Map<String,Object>` | `createTaskDataBasedOnWorkItemParams(org.kie.api.runtime.KieSession session, org.kie.api.runtime.process.WorkItem workItem)`
    `abstract void` | `executeWorkItem(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.runtime.process.WorkItemManager manager)`
    `protected boolean` | `isAutoClaim(org.kie.api.runtime.process.WorkItem workItem, org.kie.api.task.model.Task task)`
    `void` | `setAction(OnErrorAction action)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### action

          protected OnErrorAction action

  - ### Constructor Detail

    - #### AbstractHTWorkItemHandler

          public AbstractHTWorkItemHandler()

    - #### AbstractHTWorkItemHandler

          public AbstractHTWorkItemHandler(OnErrorAction action)

  - ### Method Detail

    - #### setAction

          public void setAction(OnErrorAction action)

    - #### createTaskBasedOnWorkItemParams

          protected org.kie.api.task.model.Task createTaskBasedOnWorkItemParams(org.kie.api.runtime.KieSession session,
                                                                    org.kie.api.runtime.process.WorkItem workItem)

    - #### createTaskContentBasedOnWorkItemParams

          protected org.kie.internal.task.api.model.ContentData createTaskContentBasedOnWorkItemParams(org.kie.api.runtime.KieSession session,
                                                                                           org.kie.api.runtime.process.WorkItem workItem)

    - #### createTaskDataBasedOnWorkItemParams

          protected Map<String,Object> createTaskDataBasedOnWorkItemParams(org.kie.api.runtime.KieSession session,
                                                               org.kie.api.runtime.process.WorkItem workItem)

    - #### isAutoClaim

          protected boolean isAutoClaim(org.kie.api.runtime.process.WorkItem workItem,
                            org.kie.api.task.model.Task task)

    - #### executeWorkItem

          public abstract void executeWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                             org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `executeWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`

    - #### abortWorkItem

          public abstract void abortWorkItem(org.kie.api.runtime.process.WorkItem workItem,
                           org.kie.api.runtime.process.WorkItemManager manager)

      Specified by:
        `abortWorkItem` in interface `org.kie.api.runtime.process.WorkItemHandler`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.